#ifndef MULTILINGUAL
#include "global.h" /* for YYLMAX, STMTMAX, ... */
#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
#if ilinux || cygwin
FILE *yyin = {_IO_stdin}, *yyout = {_IO_stdout};
#else
FILE *yyin = {stdin}, *yyout = {stdout};
#endif
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "scanner.l"
/*
 *   Copyright (C) 1988-2006 Lucent Technologies Inc. and others.
 *   All Rights Reserved.
 */


# line 8 "scanner.l"
/*	cscope - interactive C symbol cross-reference
 *
 *	C symbol scanner
 */


# line 13 "scanner.l"
/* #include "global.h" -- prepended to lex.yy.c by make */


# line 15 "scanner.l"
/* the line counting has been moved from character reading for speed */

# line 16 "scanner.l"
/* comments are discarded */
#undef	input
#ifdef __BORLANDC__
static	int	msdosgetc(FILE *inputfile);
#else
static	int	msdosgetc();
#endif

#define input()  ((yytchar=((yytchar=(yytchar=yysptr>yysbuf?*--yysptr:getc(yyin))=='/'?comment():yytchar)==EOF?0:yytchar))=='\r'?msdosgetc(yyin):yytchar)
#define noncommentinput()  ((yytchar=((yytchar=yysptr>yysbuf?*--yysptr:getc(yyin))==EOF?0:yytchar))=='\r'?msdosgetc(yyin):yytchar)

# line 26 "scanner.l"
/* #else
#define input()  ((yytchar=(yytchar=yysptr>yysbuf?*--yysptr:getc(yyin))=='/'?comment():yytchar)==EOF?0:toascii(yytchar))
#define noncommentinput()  ((yytchar=yysptr>yysbuf?*--yysptr:getc(yyin))==EOF?0:yytchar)
#endif */
#undef	unput
#define unput(c) (*yysptr++=(c))


# line 33 "scanner.l"
/* not a preprocessor line (allow Ingres(TM) "## char var;" lines) */
#define	notpp()	(ppdefine == NO && (*yytext != '#' || yytext[1] == '#'))

#define	IFLEVELINC	5	/* #if nesting level size increment */


# line 38 "scanner.l"
/* keyword text for fast testing of keywords in the scanner */
extern	char	externtext[];
extern	char	typedeftext[];

int	first;	/* buffer index for first char of symbol */
int	last;	/* buffer index for last char of symbol */
int	lineno;	/* symbol line number */

static	BOOL	arraydimension;		/* inside array dimension declaration */
static	BOOL	bplisting;		/* breakpoint listing */
static	int	braces;			/* unmatched left brace count */
static	int	cesudeftoken;		/* class/enum/struct/union definition */
static	BOOL	classdef;		/* c++ class definition */
static	BOOL	elseelif;		/* #else or #elif found */
static	BOOL	esudef;			/* enum/struct/union definition */
static	int	esubraces;		/* outermost enum/struct/union brace count */
static	BOOL	externdec;		/* extern declaration */
static	BOOL	fcndef;			/* function definition */
static	BOOL	globalscope;		/* file global scope (outside functions) */
static	int	iflevel;		/* #if nesting level */
static	BOOL	initializer;		/* data initializer */
static	int	initializerbraces;	/* data initializer outer brace count */
static	BOOL	lex;			/* lex file */
static	BOOL	localdef;		/* function/block local definition */
static	int	miflevel = IFLEVELINC;	/* maximum #if nesting level */
static	int	*maxifbraces;		/* maximum brace count within #if */
static	int	*preifbraces;		/* brace count before #if */
static	int	parens;			/* unmatched left parenthesis count */
static	BOOL	ppdefine;		/* preprocessor define statement */
static	BOOL	psuedoelif;		/* psuedo-#elif */
static	BOOL	oldtype;		/* next identifier is an old type */
static	BOOL	rules;			/* lex/yacc rules */
static	BOOL	sdl;			/* SDL file */
static	BOOL	structfield;		/* structure field declaration */
static	BOOL	template;		/* function template */
static	int	templateparens;		/* function template outer parentheses count */
static	BOOL	typedefdef;		/* typedef name definition */
static	BOOL	typedefname;		/* typedef name use */
static	int	token;			/* token found */

void	multicharconstant();
# define SDL 2
# define BP 4
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 86 "scanner.l"
	{	/* lex/yacc C declarations/definitions */
			globalscope = YES;
			goto more;
			/* NOTREACHED */
		}
break;
case 2:

# line 91 "scanner.l"
	{
			globalscope = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 3:

# line 96 "scanner.l"
	{	/* lex/yacc rules delimiter */
			braces = 0;
			if (rules == NO) {
				rules = YES;
				
				/* simulate a yylex() or yyparse() definition */
				(void) strcat(yytext, " /* ");
				first = strlen(yytext);
				if (lex == YES) {
					(void) strcat(yytext, "yylex");
				}
				else {	/* yacc: yyparse implicitly calls yylex */
					char *s = " yylex()";
					char *cp = s + strlen(s);
					while (--cp >= s) {
						unput(*cp);
					}
					(void) strcat(yytext, "yyparse");
				}
				last = strlen(yytext);
				(void) strcat(yytext, " */");
				yyleng = strlen(yytext);
				yymore();
				return(FCNDEF);
			}
			else {
				rules = NO;
				globalscope = YES;
				last = first;
				yymore();
				return(FCNEND);
			}
			/* NOTREACHED */
		}
break;
case 4:

# line 130 "scanner.l"
{ /* SDL procedure */
			braces = 1;
			fcndef = YES;	/* treat as function definition */
			token = FCNDEF;
			globalscope = NO;
			goto findident;
			/* NOTREACHED */
		}
break;
case 5:

# line 138 "scanner.l"
{ /* SDL state */
			braces = 1;
			fcndef = YES;	/* treat as function definition */
			token = FCNDEF;
			globalscope = NO;

		sdlfindident:
			first = yyleng - 1;
			while (isalnum(yytext[first]) || yytext[first] == '_' ||
				yytext[first] == '*') {
				--first;
			}
			++first;
			goto iflongline;
			/* NOTREACHED */
		}
break;
case 6:

# line 154 "scanner.l"
{ /* SDL call */
			token = FCNCALL;
			goto findident;	/* treat as function call */
			/* NOTREACHED */
		}
break;
case 7:

# line 159 "scanner.l"
{ /* SDL nextstate */
			token = FCNCALL;
			goto sdlfindident;	/* treat as function call */
			/* NOTREACHED */
		}
break;
case 8:

# line 164 "scanner.l"
{ /* end of an SDL procedure or state */
			goto endstate;	/* treat as the end of a function */
			/* NOTREACHED */
		}
break;
case 9:

# line 168 "scanner.l"
{ /* SDL comment */
			multicharconstant('\'');
			goto more;
		}
break;
case 10:

# line 172 "scanner.l"
{ /* SDL preprocessor macro definition */
			ppdefine = YES;
			token = DEFINE;
			if (compress == YES) {
				yytext[0] = '\7'; /* compress the keyword */
			}
			++parens;
			goto findident;
			/* NOTREACHED */
		}
break;
case 11:

# line 182 "scanner.l"
{ /* SDL preprocessor comments, thrown away */
			multicharconstant(')');
                        goto more;
		}
break;
case 12:

# line 186 "scanner.l"
{ /* SDL preprocessor include */
			char	*s;
			
			s = strpbrk(yytext, "(");
			incfile(s + 1, *s);
			first = s - yytext;
			last = yyleng;
			if (compress == YES) {
				yytext[0] = '\1';	/* compress the keyword */
			}
			multicharconstant(')');
			yymore();
			return(INCLUDE);
			/* NOTREACHED */
		}
break;
case 13:

# line 201 "scanner.l"
	{	/* count unmatched left braces for fcn def detection */
			++braces;
			
			/* mark an untagged enum/struct/union so its beginning
			   can be found */
			if (cesudeftoken) {
				last = first;
				savesymbol(cesudeftoken);
				cesudeftoken = '\0';
			}
			/* if not in an enum/struct/union declaration */
			if (esudef == NO) {
				externdec = NO;
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 14:

# line 218 "scanner.l"
{
			/* attempt to correct erroneous brace count caused by:
			 * 
			 * #if ...
			 * 	... {
			 * #endif
			 * #if ...
			 * 	... {
			 * #endif
			 */
			/* the current #if must not have an #else or #elif */
			if (elseelif == YES) {
				goto endif;
			}
			psuedoelif = YES;
			goto more;
			/* NOTREACHED */
		}
break;
case 15:

# line 236 "scanner.l"
{ /* #if, #ifdef or #ifndef */
			elseelif = NO;
			if (psuedoelif == YES) {
				psuedoelif = NO;
				goto elif;
			}
			/* make sure there is room for the current brace count */
			if (iflevel == miflevel) {
				miflevel += IFLEVELINC;
				maxifbraces = (int *) myrealloc((char *)
				    maxifbraces, miflevel * sizeof(int));
				preifbraces = (int *) myrealloc((char *)
				    preifbraces, miflevel * sizeof(int));
			}
			/* push the current brace count */
			preifbraces[iflevel] = braces;
			maxifbraces[iflevel++] = 0;
			goto more;
			/* NOTREACHED */
		}
break;
case 16:

# line 256 "scanner.l"
{ /* #elif or #else */
			elseelif = YES;
		elif:
			if (iflevel > 0) {
				
				/* save the maximum brace count for this #if */
				if (braces > maxifbraces[iflevel - 1]) {
					maxifbraces[iflevel - 1] = braces;
				}
				/* restore the brace count to before the #if */
				braces = preifbraces[iflevel - 1];
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 17:

# line 271 "scanner.l"
{	/* #endif */
		endif:
			if (iflevel > 0) {
				
				/* get the maximum brace count for this #if */
				if (braces < maxifbraces[--iflevel]) {
					braces = maxifbraces[iflevel];
				}
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 18:

# line 283 "scanner.l"
	{
			/* could be the last enum member initializer */
			if (braces == initializerbraces) {
				initializerbraces = -1;
				initializer = NO;
			}
			if (--braces <= 0) {
		endstate:
				braces = 0;
				classdef = NO;
			}
			/* if the end of an outermost enum/struct/union definition */
			if (esudef == YES && braces == esubraces) {
				esudef = NO;
				esubraces = -1;
				last = first;
				yymore();
				return(ESUEND);
			}
			/* if the end of a function */
			if ((braces == 0 || braces == 1 && classdef == YES) &&
			    fcndef == YES) {
				fcndef = NO;
				globalscope = YES;
				last = first;
				yymore();
				return(FCNEND);
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 19:

# line 314 "scanner.l"
	{	/* count unmatched left parentheses for function templates */
			++parens;
			goto more;
			/* NOTREACHED */
		}
break;
case 20:

# line 319 "scanner.l"
	{
			if (--parens <= 0) {
				parens = 0;
			}
			/* if the end of a function template */
			if (parens == templateparens) {
				templateparens = -1;
				template = NO;
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 21:

# line 331 "scanner.l"
	{	/* if a global definition initializer */
			if ((globalscope == YES || localdef == YES) && notpp()) {
				initializerbraces = braces;
				initializer = YES;
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 22:

# line 339 "scanner.l"
	{	/* if a structure field */
			/* note: a pr header has a colon in the date */
			if (esudef == YES && notpp()) {
				structfield = YES;
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 23:

# line 347 "scanner.l"
	{
			if (braces == initializerbraces) {
				initializerbraces = -1;
				initializer = NO;
			}
			structfield = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 24:

# line 356 "scanner.l"
	case 25:

# line 357 "scanner.l"
	{
			/* if not in an enum/struct/union declaration */
			if (esudef == NO) {
				externdec = NO;
				typedefdef = NO;
				localdef = NO;
			}
			structfield = NO;
			initializer = NO;
			oldtype = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 26:

# line 370 "scanner.l"
{
				
			/* preprocessor macro or constant definition */
			ppdefine = YES;
			token = DEFINE;
			if (compress == YES) {
				yytext[0] = '\7';	/* compress the keyword */
			}
		findident:
			first = yyleng - 1;
			while (isalnum(yytext[first]) || yytext[first] == '_') {
				--first;
			}
			++first;
			goto iflongline;
			/* NOTREACHED */
		}
break;
case 27:

# line 387 "scanner.l"
{	/* class definition */
			classdef = YES;
			cesudeftoken = 'c';
			REJECT;
			/* NOTREACHED */
		}
break;
case 28:

# line 393 "scanner.l"
{ /* enum/struct/union definition */
			esudef = YES;
			if (esubraces < 0) {	/* if outermost enum/struct/union */
				esubraces = braces;
			}
			cesudeftoken = *(yytext + first);
			goto iflongline;
			/* NOTREACHED */
		}
break;
case 29:

# line 402 "scanner.l"
{
			goto iffcndef;
			/* NOTREACHED */
		}
break;
case 30:

# line 406 "scanner.l"
{
		iffcndef:	
			/* warning: "if (...)" must not overflow yytext, so the content
			   of function argument definitions is restricted, in particular
			   parentheses are not allowed */

			/* if a function definition */
			/* note: "#define a (b) {" and "#if defined(a)\n#" are not */
			if (braces == 0 && notpp() && rules == NO ||
			    braces == 1 && classdef == YES) {
				fcndef = YES;
				token = FCNDEF;
				globalscope = NO;
				goto iflongline;
			}
			goto iffcncall;
			/* NOTREACHED */
		}
break;
case 31:

# line 424 "scanner.l"
{
			/* if a function call */
		iffcncall:
			if ((fcndef == YES || ppdefine == YES || rules == YES) &&
			    externdec == NO && (localdef == NO || initializer == YES)) {
				token = FCNCALL;
				goto iflongline;
			}
			if (template == NO && typedefdef == NO) {
				templateparens = parens;
				template = YES;
			}
			token = IDENT;
			goto iflongline;
			/* NOTREACHED */
		}
break;
case 32:

# line 440 "scanner.l"
{	/* prefix increment or decrement */
			token = ASSIGNMENT;
			goto findident;
			/* NOTREACHED */
		}
break;
case 33:

# line 445 "scanner.l"
{	/* postfix increment or decrement */
			token = ASSIGNMENT;
			goto iflongline;
			/* NOTREACHED */
		}
break;
case 34:

# line 450 "scanner.l"
{ /* indirect assignment or dcl */
			while (!isalnum(yytext[first]) && yytext[first] != '_') {
				++first;
			}
			goto ident;
			/* NOTREACHED */
		}
break;
case 35:

# line 457 "scanner.l"
{ /* assignment */
			if ((fcndef == YES || ppdefine == YES || rules == YES) &&
			    localdef == NO) {
				token = ASSIGNMENT;
				goto iflongline;
			}
			goto ident;
			/* NOTREACHED */
		}
break;
case 36:

# line 466 "scanner.l"
{	/* possible typedef name use */
			if (notpp() && esudef == NO && fcndef == YES && 
			   typedefdef == NO && parens == 0) {
				char	c, *s = yytext + first - 1;
				
				while (--s >= yytext && (c = *s) != ';' && c != '{') {
					if (!isspace(c) && !isalpha(c)) {
						goto nottypedefname;
					}
				}
				typedefname = YES;
			}
		nottypedefname:
			token = IDENT;	/* skip the global/parameter/local tests */
			goto iflongline;
			/* NOTREACHED */
		}
break;
case 37:

# line 483 "scanner.l"
{
			struct	keystruct *p;
			char	*s;

		ident:	token = IDENT;
			if (notpp() && externdec == NO && arraydimension == NO
			    && initializer == NO) {
				
				/* if an enum/struct/union member definition */
				if (esudef == YES) {
					if (structfield == NO) {
						token = MEMBERDEF;
					}
				}
				/* if a typedef name */
				else if (typedefdef == YES && oldtype == NO) {
					token = TYPEDEF;
				}
				/* if a global definition */
				else if (globalscope == YES && template == NO
				    && oldtype == NO) {
					token = GLOBALDEF;
				}
				/* if a function parameter definition */
				else if (fcndef == YES && braces == 0) {
					token = PARAMETER;				
				}
				/* if a local definition */
				else if (localdef == YES) {
					token = LOCALDEF;
				}
			}
		iflongline:
			/* if a long line */
			if (yyleng > STMTMAX) {
				int	c;
				
				/* skip to the end of the line */
				warning("line too long");
				while ((c = input()) != LEXEOF) {
					if (c == '\n') {
						unput(c);
						break;
					}
				}
			}
			/* truncate a long symbol */
			if (yyleng - first > PATLEN) {
				warning("symbol too long");
				yyleng = first + PATLEN;
				yytext[yyleng] = '\0';
			}
			/* if a keyword */
			yymore();
			if ((p = lookup(yytext + first)) != NULL) {
				first = yyleng;
				s = p->text;
				
				/* if an extern declaration */
				if (s == externtext) {
					externdec = YES;
				}
				/* if a typedef name definition */
				else if (s == typedeftext) {
					typedefdef = YES;
					oldtype = YES;
				}
				/* if a local definition */
				else if (p->type == DECL && fcndef == YES &&
				    typedefdef == NO && parens == 0) {
					localdef = YES;
				}
				/* keyword doesn't start a function template */
				else if (templateparens == parens && template == YES) {
					templateparens = -1;
					template = NO;
				}
				else {	/* next identifier after typedef was a keyword */
					oldtype = NO;
				}
				/* keyword can't be in a local definition */
				localdef = NO;
				typedefname = NO;
			}
			else {	/* identifier */
				last = yyleng;
				
				/* if an enum/struct/union keyword preceded this ident. */
				if (esudef == YES && cesudeftoken) {
					token = cesudeftoken;
					cesudeftoken = '\0';
				}
				else {
					oldtype = NO;
				}
				/* if a local definition using a typedef name */
				if (typedefname == YES) {
					localdef = YES;
				}
				typedefname = NO;
				return(token);
			}
		}
break;
case 38:

# line 586 "scanner.l"
	{	/* array dimension (don't worry about subscripts) */
			arraydimension = YES;
			goto more;
			/* NOTREACHED */
		}
break;
case 39:

# line 591 "scanner.l"
	{
			arraydimension = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 40:

# line 596 "scanner.l"
	{	/* preprocessor statement is continued on next line */
			goto eol;
			/* NOTREACHED */
		}
break;
case 41:

# line 600 "scanner.l"
	{	/* end of the line */
			if (ppdefine == YES) {	/* end of a #define */
				ppdefine = NO;
				(void) yyless(yyleng - 1);	/* rescan \n */
				last = first;
				yymore();
				return(DEFINEEND);
			}
			/* skip the first 8 columns of a breakpoint listing line */
			/* and skip the file path in the page header */
			if (bplisting == YES) {
				int	c, i;

				switch (input()) {	/* tab and EOF just fall through */
				case ' ':	/* breakpoint number line */
				case '[':
					for (i = 1; i < 8 && input() != LEXEOF; ++i)
						;
					break;
				case '.':	/* header line */
				case '/':
					/* skip to the end of the line */
					while ((c = input()) != LEXEOF) {
						if (c == '\n') {
							unput(c);
							break;
						}
					}
					break;
				case '\n':	/* empty line */
					unput('\n');
					break;
				}
			}
		eol:
			++yylineno;
			first = 0;
			last = 0;
			if (symbols > 0) {
				return(NEWLINE);
			}
			lineno = yylineno;
		}
break;
case 42:

# line 643 "scanner.l"
	{	/* character constant */
			if (sdl == NO) {
				multicharconstant('\'');
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 43:

# line 650 "scanner.l"
	{	/* string constant */
			multicharconstant('"');
			goto more;
			/* NOTREACHED */
		}
break;
case 44:

# line 655 "scanner.l"
{	/* don't save leading white space */
		}
break;
case 45:

# line 657 "scanner.l"
{ /* #include or Ingres ##include */
			char	*s;
			
			s = strpbrk(yytext, "\"<");
			incfile(s + 1, *s);
			first = s - yytext;
			last = yyleng;
			if (compress == YES) {
				yytext[0] = '\1';	/* compress the keyword */
			}
			/* avoid multicharconstant call triggered by trailing
			   ", which puts a trailing comment in the database */
			if (*s == '"') {
				int	c;

				while ((c = input()) != LEXEOF) {
					if (c == '"') {
						yytext[yyleng] = '"';
						yytext[++yyleng] = '\0';
						break;
					}
					/* the trailing '"' may be missing */
					if (c == '\n') {
						unput('\n');
						break;
					}
				}
			}
			yymore();
			return(INCLUDE);
			/* NOTREACHED */
		}
break;
case 46:

# line 689 "scanner.l"
case 47:

# line 690 "scanner.l"
case 48:

# line 691 "scanner.l"
	{	/* punctuation and operators */
		more:	first = yyleng;
			yymore();
		}
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

void
initscanner(srcfile)
char	*srcfile;
{
	char	*s;

	if (maxifbraces == NULL) {
		maxifbraces = (int *) mymalloc(miflevel * sizeof(int));
		preifbraces = (int *) mymalloc(miflevel * sizeof(int));
	}
	first = 0;		/* buffer index for first char of symbol */
	last = 0;		/* buffer index for last char of symbol */
	lineno = 1;		/* symbol line number */
	yylineno = 1;		/* input line number */
	arraydimension = NO;	/* inside array dimension declaration */
	bplisting = NO;		/* breakpoint listing */
	braces = 0;		/* unmatched left brace count */
	cesudeftoken = '\0';	/* class/enum/struct/union definition */
	classdef = NO;		/* c++ class definition */
	elseelif = NO;		/* #else or #elif found */
	esudef = NO;		/* enum/struct/union definition */
	esubraces = -1;		/* outermost enum/struct/union brace count */
	externdec = NO;		/* extern declaration */
	fcndef = NO;		/* function definition */
	globalscope = YES;	/* file global scope (outside functions) */
	iflevel = 0;		/* #if nesting level */
	initializer = NO;	/* data initializer */
	initializerbraces = -1;	/* data initializer outer brace count */
	lex = NO;		/* lex file */
	localdef = NO;		/* function/block local definition */
	parens = 0;		/* unmatched left parenthesis count */
	ppdefine = NO;		/* preprocessor define statement */
	psuedoelif = NO;	/* psuedo-#elif */
	oldtype = NO;		/* next identifier is an old type */
	rules = NO;		/* lex/yacc rules */
	sdl = NO;		/* SDL file */
	structfield = NO;	/* structure field declaration */
	template = NO;		/* function template */
	templateparens = -1;	/* function template outer parentheses count */
	typedefdef = NO;	/* typedef name definition */
	typedefname = NO;	/* typedef name use */
	BEGIN 0;

	/* if this is not a C file */
	if ((s = strrchr(srcfile, '.')) != NULL) {
		switch (*++s) {	/* this switch saves time on C files */
		case 'b':
			if (strcmp(s, "bp") == 0) {	/* breakpoint listing */
				bplisting = YES;
				BEGIN BP;
			}
			break;
		case 'l':
			if (strcmp(s, "l") == 0) {	/* lex */
				lex = YES;
				globalscope = NO;
			} else if (strcmp(s, "lh") == 0) { /* SDL */
				sdl = YES;
				BEGIN SDL;
			}

			break;
		case 'p':
		case 's':
		case 'm':
			if (strcmp(s, "pr") == 0 ||
			    strcmp(s, "sd") == 0 ||
			    strcmp(s, "m") == 0  ) {	/* SDL */
				sdl = YES;
				BEGIN SDL;
			}
			break;
		case 'y':
			if (strcmp(s, "y") == 0) {	/* yacc */
				globalscope = NO;
			}
			break;
		}
	}
}

comment()
{
	register int	c, lastc;

	do {
		if ((c = getc(yyin)) == '*') {	/* C comment */
			lastc = '\0';
			while ((c = getc(yyin)) != EOF &&
			    (c != '/' || lastc != '*')) { /* fewer '/'s */
				if (c == '\n') {
					++yylineno;
				}
				lastc = c;
			}

			if(feof(yyin)) {	/* unterminated comment at end of file */
				c = '\n';
				(void) ungetc(c,yyin);
				break;
			}

			/* return a blank for Reiser cpp token concatenation */
			if ((c = getc(yyin)) == '_' || isalnum(c)) {
				(void) ungetc(c, yyin);
				c = ' ';
				break;
			}
		}
		else if (c == '/') {		/* C++ comment */
			while ((c = getc(yyin)) != EOF && c != '\n') {
				;
			}
			break;
		}
		else {	/* not a comment */
			(void) ungetc(c, yyin);
			c = '/';
			break;
		}

	/* there may be an immediately following comment */
	} while (c == '/');
/* #ifdef __BORLANDC__*/
	if (c == '\r') {
		c = msdosgetc(yyin);
		if (c == '/') {
			c = comment();	/* recurse */
		}
	}
/* #endif*/
	return(c);
}

void
multicharconstant(terminator)
register char	terminator;
{
	register char	c;

	/* scan until the terminator is found */
	while ((c = yytext[yyleng++] = noncommentinput()) != terminator) {
		switch (c) {
		case '\\':	/* escape character */
			if ((yytext[yyleng++] = noncommentinput()) == '\n') {
				++yylineno;
			}
			break;
		case '\t':	/* tab character */

			/* if not a lex program, continue */
			if (lex == NO) {
				break;
			}
			/* fall through */

		case '\n':	/* illegal character */

			/* assume the terminator is missing, so put
			   this character back */
			unput(c);
			yytext[--yyleng] = '\0';
			/* fall through */

		case LEXEOF:	/* end of file */
			return;

		default:
			/* change a control character to a blank */
			if (!isprint(c)) {
				yytext[yyleng - 1] = ' ';
			}
		}
		/* if this token will overflow the line buffer */
		/* note: '\\' may cause yyleng to be > STMTMAX */
		if (yyleng >= STMTMAX) {

			/* truncate the token */
			while ((c = noncommentinput()) != LEXEOF) {
				if (c == terminator) {
					unput(c);
					break;
				}
				else if (c == '\n') {
					++yylineno;
				}
			}
		}
	}
	yytext[yyleng] = '\0';
}
#ifdef __BORLANDC__

/* getc for MS-DOS that ignores RETURN characters */

static int
msdosgetc(FILE *inputfile)
#else

/* getc for MS-DOS that ignores RETURN characters */

static int
msdosgetc(inputfile)
FILE *inputfile;
#endif
{
	int	c;

	while ((c = getc(inputfile)) == '\r') {
		;
	}
	if (c == EOF) {
		c = 0;
	}
	return(c);
}
/* #endif*/
int yyvstop[] = {
0,

48,
0, 

41,
0, 

43,
48,
0, 

48,
0, 

48,
0, 

42,
48,
0, 

19,
48,
0, 

20,
48,
0, 

48,
0, 

48,
0, 

23,
48,
0, 

48,
0, 

48,
0, 

47,
48,
0, 

22,
48,
0, 

25,
48,
0, 

21,
48,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

38,
48,
0, 

48,
0, 

39,
48,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

13,
48,
0, 

18,
48,
0, 

44,
48,
0, 

48,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
48,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

24,
0, 

46,
0, 

46,
0, 

46,
0, 

46,
0, 

1,
0, 

2,
0, 

-34,
0, 

47,
0, 

31,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

40,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

44,
0, 

3,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

31,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

46,
0, 

46,
0, 

46,
0, 

15,
46,
0, 

46,
0, 

32,
0, 

36,
0, 

35,
0, 

33,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

46,
0, 

46,
0, 

46,
0, 

46,
0, 

46,
0, 

15,
46,
0, 

46,
0, 

34,
0, 

34,
0, 

34,
0, 

30,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-28,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

11,
31,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

29,
30,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-28,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

46,
0, 

16,
46,
0, 

46,
0, 

46,
0, 

46,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

28,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

29,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-29,
-30,
-31,
-33,
-35,
-36,
0, 

46,
0, 

17,
46,
-14,
0, 

15,
46,
0, 

46,
0, 

36,
0, 

6,
36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

46,
0, 

46,
0, 

46,
0, 

36,
0, 

6,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

5,
0, 

5,
36,
0, 

31,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

46,
0, 

27,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

5,
0, 

10,
0, 

31,
0, 

26,
0, 

9,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

12,
0, 

12,
0, 

14,
0, 

14,
0, 

45,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

8,
0, 

8,
36,
0, 

37,
-30,
-31,
-33,
-35,
-36,
0, 

8,
0, 

7,
0, 

7,
36,
0, 

4,
36,
0, 

7,
0, 

4,
0, 
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,7,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,7,	1,7,	1,8,	
26,71,	0,0,	1,7,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	34,76,	34,76,	
0,0,	1,7,	34,76,	1,9,	
1,10,	48,95,	1,11,	1,7,	
1,12,	1,13,	1,14,	1,15,	
1,16,	1,17,	1,18,	1,19,	
1,7,	1,20,	2,34,	2,34,	
16,58,	18,58,	34,76,	35,77,	
124,156,	65,110,	203,224,	1,21,	
1,22,	1,7,	1,23,	1,7,	
62,107,	49,95,	1,24,	68,111,	
36,78,	70,112,	38,81,	80,119,	
1,24,	83,122,	2,34,	65,107,	
121,153,	78,117,	3,12,	2,35,	
37,80,	2,12,	36,79,	39,82,	
3,18,	40,83,	3,7,	2,18,	
49,95,	2,7,	79,118,	49,95,	
1,25,	1,26,	1,27,	1,7,	
81,120,	82,121,	3,22,	72,113,	
1,28,	2,22,	1,29,	51,97,	
41,84,	84,123,	3,36,	53,100,	
3,37,	28,72,	75,116,	29,73,	
31,75,	41,85,	42,86,	53,101,	
1,30,	3,38,	1,31,	3,39,	
30,74,	52,98,	3,40,	52,99,	
1,32,	1,7,	1,33,	11,54,	
73,114,	11,55,	74,115,	3,26,	
3,27,	3,7,	2,26,	2,27,	
2,7,	66,110,	3,28,	3,41,	
3,29,	2,28,	85,124,	2,29,	
3,42,	4,34,	4,34,	86,125,	
96,132,	97,133,	98,134,	99,136,	
100,137,	66,107,	3,30,	101,139,	
3,31,	2,30,	113,144,	2,31,	
98,135,	49,96,	100,138,	3,7,	
3,33,	114,145,	2,7,	2,33,	
115,146,	4,34,	116,147,	117,148,	
118,149,	5,12,	4,35,	119,150,	
4,12,	120,152,	119,151,	5,18,	
122,154,	5,7,	4,18,	123,155,	
4,7,	125,157,	132,164,	133,165,	
134,166,	135,166,	136,167,	137,168,	
138,137,	5,22,	139,169,	141,0,	
4,22,	141,0,	144,170,	5,43,	
146,174,	147,145,	149,176,	150,177,	
4,36,	5,43,	4,37,	151,178,	
152,179,	148,175,	153,180,	154,181,	
155,182,	157,183,	164,189,	4,38,	
165,190,	4,39,	167,191,	168,192,	
4,40,	145,171,	145,172,	169,193,	
170,194,	145,172,	5,26,	5,27,	
5,7,	4,26,	4,27,	4,7,	
148,175,	5,44,	174,145,	5,45,	
4,28,	4,41,	4,29,	6,34,	
6,34,	176,197,	4,42,	177,198,	
145,171,	178,199,	179,200,	170,194,	
180,201,	5,46,	181,202,	5,47,	
4,30,	182,203,	4,31,	183,204,	
189,206,	190,207,	5,7,	5,33,	
193,212,	4,7,	4,33,	6,34,	
197,217,	198,218,	199,219,	200,220,	
6,35,	201,221,	6,12,	204,225,	
206,226,	181,202,	207,227,	208,208,	
6,18,	212,230,	6,7,	19,59,	
19,59,	19,59,	19,59,	19,59,	
19,59,	19,59,	19,59,	19,59,	
19,59,	217,234,	6,22,	218,235,	
208,208,	219,236,	220,237,	210,210,	
6,43,	207,227,	208,208,	221,238,	
225,241,	226,242,	6,43,	10,48,	
235,248,	209,209,	209,209,	237,250,	
238,251,	209,209,	214,214,	214,214,	
217,234,	236,249,	214,214,	244,254,	
248,257,	250,260,	210,210,	251,261,	
253,0,	210,229,	228,228,	6,26,	
6,27,	6,7,	10,48,	255,208,	
209,209,	10,49,	6,44,	209,228,	
6,45,	214,214,	210,208,	145,173,	
236,249,	257,262,	262,236,	0,0,	
250,260,	0,0,	251,261,	0,0,	
255,208,	228,228,	6,46,	0,0,	
6,47,	0,0,	255,208,	210,208,	
0,0,	0,0,	0,0,	6,7,	
6,33,	210,208,	0,0,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	0,0,	0,0,	0,0,	
0,0,	10,50,	0,0,	10,50,	
10,50,	10,50,	10,51,	10,52,	
10,50,	10,50,	10,50,	10,53,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	10,50,	10,50,	10,50,	
10,50,	15,56,	228,244,	230,242,	
242,242,	0,0,	0,0,	0,0,	
214,173,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
15,56,	0,0,	230,242,	242,242,	
230,246,	242,246,	245,208,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	245,208,	
0,0,	0,0,	0,0,	0,0,	
0,0,	245,208,	230,246,	242,246,	
0,0,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	0,0,	
245,255,	0,0,	0,0,	15,57,	
0,0,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	15,57,	
15,57,	15,57,	15,57,	20,59,	
0,0,	20,59,	20,59,	20,59,	
20,59,	20,59,	20,59,	20,59,	
20,59,	20,59,	20,59,	256,0,	
256,0,	0,0,	0,0,	256,0,	
0,0,	0,0,	20,59,	20,59,	
20,59,	20,59,	20,59,	20,59,	
0,0,	0,0,	0,0,	0,0,	
0,0,	20,59,	0,0,	0,0,	
0,0,	0,0,	256,0,	0,0,	
256,0,	0,0,	20,59,	0,0,	
0,0,	20,59,	0,0,	24,60,	
24,61,	0,0,	0,0,	24,61,	
0,0,	0,0,	20,59,	20,59,	
20,59,	20,59,	20,59,	20,59,	
0,0,	0,0,	0,0,	0,0,	
0,0,	20,59,	0,0,	0,0,	
256,0,	0,0,	24,60,	0,0,	
0,0,	0,0,	20,59,	24,62,	
24,62,	20,59,	24,63,	0,0,	
24,64,	24,65,	0,0,	24,66,	
0,0,	24,62,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
0,0,	0,0,	24,68,	24,69,	
24,70,	0,0,	0,0,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	0,0,	0,0,	0,0,	
24,62,	24,67,	0,0,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	24,67,	24,67,	24,67,	
24,67,	0,0,	24,62,	43,87,	
43,88,	0,0,	0,0,	43,88,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	43,87,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	43,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	0,0,	0,0,	0,0,	
0,0,	43,90,	0,0,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	43,90,	43,90,	43,90,	
43,90,	44,87,	44,88,	0,0,	
0,0,	44,88,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
44,87,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
44,89,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	0,0,	
0,0,	0,0,	0,0,	44,90,	
0,0,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,91,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	44,90,	
44,90,	44,90,	44,90,	45,87,	
45,88,	0,0,	0,0,	45,88,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	45,87,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	45,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	0,0,	0,0,	0,0,	
0,0,	45,90,	0,0,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,92,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	46,87,	46,88,	0,0,	
0,0,	46,88,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
46,87,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
46,89,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	0,0,	
0,0,	0,0,	0,0,	46,90,	
0,0,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	46,90,	
46,93,	46,90,	46,90,	46,90,	
46,90,	46,90,	46,90,	47,87,	
47,88,	0,0,	0,0,	47,88,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	47,87,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	47,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	0,0,	0,0,	0,0,	
0,0,	47,90,	0,0,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,94,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	47,90,	47,90,	47,90,	
47,90,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
0,0,	0,0,	0,0,	0,0,	
50,50,	0,0,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
57,102,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	57,102,	
57,103,	57,102,	0,0,	0,0,	
57,102,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	229,229,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	57,103,	
0,0,	57,102,	57,102,	58,58,	
57,102,	57,102,	0,0,	57,0,	
57,102,	57,102,	57,0,	57,102,	
57,0,	57,102,	229,229,	57,57,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	57,102,	58,58,	57,102,	
57,102,	57,102,	229,208,	0,0,	
57,57,	0,0,	0,0,	0,0,	
0,0,	0,0,	57,57,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	229,208,	
0,0,	0,0,	0,0,	0,0,	
0,0,	229,208,	0,0,	0,0,	
0,0,	0,0,	57,102,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	0,0,	0,0,	229,245,	
0,0,	58,104,	57,102,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	58,104,	58,104,	58,104,	
58,104,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
0,0,	0,0,	0,0,	0,0,	
60,105,	0,0,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
60,105,	60,105,	60,105,	60,105,	
61,61,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	61,61,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	61,106,	
0,0,	0,0,	61,62,	0,0,	
61,62,	0,0,	0,0,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	0,0,	0,0,	
0,0,	0,0,	61,105,	0,0,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	61,105,	61,105,	
61,105,	61,105,	63,106,	63,106,	
0,0,	0,0,	63,106,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	63,106,	0,0,	0,0,	
0,0,	0,0,	0,0,	63,106,	
0,0,	0,0,	63,108,	63,106,	
0,0,	63,106,	0,0,	63,106,	
0,0,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	0,0,	
0,0,	0,0,	63,106,	0,0,	
0,0,	0,0,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	0,0,	63,106,	0,0,	
63,106,	0,0,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
63,106,	63,106,	63,106,	63,106,	
64,109,	64,109,	0,0,	0,0,	
64,109,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	64,109,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	64,109,	0,0,	0,0,	
0,0,	0,0,	0,0,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	0,0,	0,0,	0,0,	
64,107,	0,0,	0,0,	0,0,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	0,0,	0,0,	
0,0,	0,0,	64,105,	0,0,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	64,105,	64,105,	
64,105,	64,105,	69,107,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	69,107,	69,107,	69,107,	
0,0,	0,0,	69,107,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	69,107,	0,0,	69,107,	
69,107,	0,0,	69,107,	69,107,	
0,0,	69,107,	69,107,	69,107,	
69,107,	69,107,	0,0,	69,107,	
0,0,	69,107,	87,87,	87,88,	
0,0,	0,0,	87,88,	0,0,	
0,0,	0,0,	0,0,	69,107,	
0,0,	69,107,	69,0,	69,107,	
0,0,	0,0,	69,107,	0,0,	
0,0,	0,0,	0,0,	0,0,	
69,107,	87,87,	0,0,	0,0,	
88,88,	88,88,	87,62,	87,62,	
88,88,	87,89,	0,0,	87,64,	
87,65,	0,0,	87,66,	0,0,	
87,62,	0,0,	0,0,	0,0,	
69,107,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	88,88,	
0,0,	87,68,	87,69,	87,70,	
88,62,	88,62,	0,0,	88,126,	
0,0,	88,64,	88,62,	0,0,	
88,62,	0,0,	88,62,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
69,107,	0,0,	0,0,	88,68,	
88,69,	88,70,	0,0,	0,0,	
0,0,	0,0,	0,0,	87,62,	
0,0,	89,126,	89,126,	0,0,	
0,0,	89,126,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
89,126,	88,62,	0,0,	0,0,	
0,0,	87,62,	89,126,	0,0,	
0,0,	89,127,	89,126,	0,0,	
89,126,	0,0,	89,126,	0,0,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	0,0,	0,0,	
0,0,	89,126,	0,0,	88,62,	
0,0,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
0,0,	89,126,	0,0,	89,126,	
0,0,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	89,126,	
89,126,	89,126,	89,126,	90,87,	
90,88,	0,0,	0,0,	90,88,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	90,87,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	90,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	0,0,	0,0,	0,0,	
0,0,	90,90,	0,0,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	90,90,	90,90,	90,90,	
90,90,	91,87,	91,88,	0,0,	
0,0,	91,88,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
91,87,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
91,89,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	0,0,	
0,0,	0,0,	0,0,	91,90,	
0,0,	91,128,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	91,90,	
91,90,	91,90,	91,90,	92,87,	
92,88,	0,0,	0,0,	92,88,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	92,87,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	92,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	0,0,	0,0,	0,0,	
0,0,	92,90,	0,0,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,90,	
92,90,	92,90,	92,90,	92,129,	
92,90,	92,90,	92,90,	92,90,	
92,90,	93,87,	93,88,	0,0,	
0,0,	93,88,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
93,87,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
93,89,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	0,0,	
0,0,	0,0,	0,0,	93,90,	
0,0,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,130,	93,90,	
93,90,	93,90,	93,90,	93,90,	
93,90,	93,90,	93,90,	94,87,	
94,88,	0,0,	0,0,	94,88,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	94,87,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	94,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	0,0,	0,0,	0,0,	
0,0,	94,90,	0,0,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,131,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	94,90,	94,90,	94,90,	
94,90,	102,140,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
102,140,	102,140,	102,140,	0,0,	
0,0,	102,140,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
102,140,	0,0,	102,140,	102,140,	
0,0,	102,140,	102,140,	0,0,	
102,140,	102,140,	102,140,	102,0,	
102,140,	102,0,	102,140,	0,0,	
102,140,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	102,140,	0,0,	
102,140,	102,140,	102,140,	0,0,	
0,0,	102,140,	0,0,	103,141,	
0,0,	0,0,	0,0,	102,140,	
0,0,	0,0,	103,141,	103,142,	
103,141,	0,0,	0,0,	103,141,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	102,140,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	103,142,	0,0,	
103,141,	103,141,	0,0,	103,141,	
103,141,	0,0,	0,0,	103,141,	
103,141,	103,0,	103,141,	103,0,	
103,141,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	102,140,	
103,141,	0,0,	103,141,	103,141,	
103,141,	0,0,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
0,0,	103,141,	0,0,	0,0,	
104,104,	0,0,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
104,104,	104,104,	104,104,	104,104,	
0,0,	103,141,	108,108,	108,108,	
0,0,	0,0,	108,108,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	108,108,	0,0,	0,0,	
108,143,	0,0,	0,0,	0,0,	
0,0,	108,108,	108,108,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	108,143,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
0,0,	0,0,	0,0,	0,0,	
108,143,	0,0,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	108,143,	108,143,	108,143,	
108,143,	109,109,	109,109,	0,0,	
0,0,	109,109,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
109,109,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	109,109,	0,0,	
0,0,	0,0,	0,0,	0,0,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	0,0,	
0,0,	0,0,	0,0,	109,105,	
0,0,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	109,105,	
109,105,	109,105,	109,105,	127,127,	
127,127,	0,0,	0,0,	127,127,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	127,127,	0,0,	
0,0,	127,158,	0,0,	0,0,	
0,0,	0,0,	127,127,	127,127,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	127,159,	127,159,	
127,159,	127,159,	127,159,	127,159,	
127,159,	127,159,	127,159,	127,159,	
127,158,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,159,	0,0,	127,159,	
0,0,	127,158,	0,0,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	127,158,	127,158,	
127,158,	127,158,	128,87,	128,88,	
0,0,	0,0,	128,88,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	128,87,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	128,89,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
0,0,	0,0,	0,0,	0,0,	
128,90,	0,0,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
128,160,	128,90,	128,90,	128,90,	
128,90,	128,90,	128,90,	128,90,	
129,87,	129,88,	0,0,	0,0,	
129,88,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	129,87,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	129,89,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	0,0,	0,0,	
0,0,	0,0,	129,90,	0,0,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,161,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	129,90,	129,90,	
129,90,	129,90,	130,87,	130,88,	
0,0,	0,0,	130,88,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	130,87,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	130,89,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
0,0,	0,0,	0,0,	0,0,	
130,90,	0,0,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,90,	130,90,	
130,90,	130,90,	130,162,	130,90,	
130,90,	130,90,	130,90,	130,90,	
131,87,	131,88,	0,0,	0,0,	
131,88,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	131,87,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	131,89,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	0,0,	0,0,	
0,0,	0,0,	131,90,	0,0,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,163,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	131,90,	131,90,	
131,90,	131,90,	142,141,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	142,141,	142,142,	142,141,	
0,0,	0,0,	142,141,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	142,142,	0,0,	142,141,	
142,141,	0,0,	142,141,	142,141,	
0,0,	0,0,	142,141,	142,141,	
142,0,	142,141,	142,0,	142,141,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	142,141,	
0,0,	142,141,	142,141,	142,141,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	159,159,	159,159,	
0,0,	0,0,	159,159,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
142,141,	159,159,	0,0,	0,0,	
159,184,	0,0,	0,0,	0,0,	
0,0,	159,159,	159,159,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	159,184,	
0,0,	0,0,	0,0,	0,0,	
142,141,	0,0,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
0,0,	0,0,	0,0,	0,0,	
159,184,	0,0,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	159,184,	159,184,	159,184,	
159,184,	160,87,	160,88,	0,0,	
0,0,	160,88,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
160,87,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
160,89,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	0,0,	
0,0,	0,0,	0,0,	160,90,	
0,0,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	160,185,	
160,90,	160,90,	160,90,	160,90,	
160,90,	160,90,	160,90,	161,186,	
161,187,	0,0,	0,0,	161,187,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	161,186,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	161,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	0,0,	0,0,	0,0,	
0,0,	161,90,	0,0,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,90,	161,90,	161,90,	
161,90,	161,173,	162,87,	162,88,	
0,0,	0,0,	162,88,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	162,87,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	162,89,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
0,0,	0,0,	0,0,	0,0,	
162,90,	0,0,	162,90,	162,90,	
162,188,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
162,90,	162,90,	162,90,	162,90,	
163,87,	163,88,	0,0,	0,0,	
163,88,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	163,87,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	163,89,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	0,0,	0,0,	
0,0,	0,0,	163,90,	0,0,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,161,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	163,90,	163,90,	
163,90,	163,90,	171,171,	171,172,	
0,0,	0,0,	171,172,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	171,171,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	171,105,	171,105,	171,105,	
171,105,	171,105,	171,105,	171,105,	
171,105,	171,105,	171,105,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
0,0,	0,0,	0,0,	0,0,	
171,195,	0,0,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,195,	171,195,	171,195,	171,195,	
171,173,	172,172,	172,172,	0,0,	
0,0,	172,172,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
172,172,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
172,106,	0,0,	0,0,	172,62,	
0,0,	172,62,	0,0,	0,0,	
172,105,	172,105,	172,105,	172,105,	
172,105,	172,105,	172,105,	172,105,	
172,105,	172,105,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	0,0,	
0,0,	0,0,	0,0,	172,195,	
0,0,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,195,	
172,195,	172,195,	172,195,	172,173,	
175,175,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	175,175,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	175,105,	
175,105,	175,105,	175,105,	175,105,	
175,105,	175,105,	175,105,	175,105,	
175,105,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	0,0,	0,0,	
0,0,	0,0,	175,196,	0,0,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	175,196,	175,196,	
175,196,	175,196,	185,205,	185,88,	
0,0,	0,0,	185,88,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	185,205,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	185,89,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
0,0,	0,0,	0,0,	0,0,	
185,90,	0,0,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
185,90,	185,90,	185,90,	185,90,	
186,186,	186,187,	0,0,	0,0,	
186,187,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	186,186,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	186,89,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	186,105,	
186,105,	186,105,	186,105,	186,105,	
186,105,	186,105,	186,105,	186,105,	
186,105,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	0,0,	0,0,	
0,0,	0,0,	186,195,	0,0,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,195,	186,195,	
186,195,	186,195,	186,173,	187,187,	
187,187,	0,0,	0,0,	187,187,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	187,187,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	187,126,	0,0,	
0,0,	187,62,	0,0,	187,62,	
0,0,	0,0,	187,105,	187,105,	
187,105,	187,105,	187,105,	187,105,	
187,105,	187,105,	187,105,	187,105,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	0,0,	0,0,	0,0,	
0,0,	187,195,	0,0,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,195,	187,195,	187,195,	
187,195,	187,173,	188,87,	188,88,	
0,0,	0,0,	188,88,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	188,87,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	188,89,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
0,0,	0,0,	0,0,	0,0,	
188,90,	0,0,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
188,90,	188,161,	188,90,	188,90,	
188,90,	188,90,	188,90,	188,90,	
191,208,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	191,208,	
191,208,	191,209,	0,0,	0,0,	
191,210,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	191,208,	
0,0,	191,208,	191,208,	194,194,	
191,208,	191,208,	0,0,	191,208,	
191,208,	191,208,	191,208,	191,208,	
0,0,	191,208,	0,0,	191,211,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	191,208,	194,194,	191,208,	
191,208,	191,208,	0,0,	0,0,	
191,211,	0,0,	0,0,	0,0,	
0,0,	0,0,	191,211,	0,0,	
0,0,	0,0,	194,105,	194,105,	
194,105,	194,105,	194,105,	194,105,	
194,105,	194,105,	194,105,	194,105,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	191,208,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	0,0,	0,0,	0,0,	
0,0,	194,213,	191,208,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	194,213,	194,213,	194,213,	
194,213,	195,214,	195,214,	0,0,	
0,0,	195,214,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
195,214,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	0,0,	
0,0,	0,0,	0,0,	195,215,	
0,0,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,215,	
195,215,	195,215,	195,215,	195,173,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	0,0,	
0,0,	0,0,	0,0,	196,216,	
0,0,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	196,216,	
196,216,	196,216,	196,216,	202,202,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	202,202,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
202,222,	0,0,	0,0,	0,0,	
0,0,	0,0,	202,105,	202,105,	
202,105,	202,105,	202,105,	202,105,	
202,105,	202,105,	202,105,	202,105,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	0,0,	0,0,	0,0,	
0,0,	202,223,	0,0,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	202,223,	202,223,	202,223,	
202,223,	205,205,	205,88,	0,0,	
0,0,	205,88,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
205,205,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
205,89,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
205,105,	205,105,	205,105,	205,105,	
205,105,	205,105,	205,105,	205,105,	
205,105,	205,105,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	0,0,	
0,0,	0,0,	0,0,	205,213,	
0,0,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	205,213,	
205,213,	205,213,	205,213,	213,231,	
213,231,	0,0,	0,0,	213,231,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	213,231,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	213,231,	213,231,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,231,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	0,0,	0,0,	0,0,	
0,0,	213,232,	0,0,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,232,	213,232,	213,232,	
213,232,	213,233,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	0,0,	0,0,	0,0,	
0,0,	223,239,	0,0,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	223,239,	223,239,	223,239,	
223,239,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	0,0,	
0,0,	0,0,	0,0,	224,240,	
0,0,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	224,240,	
224,240,	224,240,	224,240,	227,227,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	227,227,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	0,0,	0,0,	0,0,	
0,0,	227,243,	0,0,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	227,243,	227,243,	227,243,	
227,243,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
0,0,	0,0,	0,0,	0,0,	
231,231,	0,0,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
231,231,	231,231,	231,231,	231,231,	
234,234,	234,61,	0,0,	0,0,	
234,61,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	234,234,	
0,0,	0,0,	0,0,	0,0,	
234,62,	234,62,	234,247,	234,63,	
0,0,	234,64,	234,65,	0,0,	
234,66,	0,0,	234,62,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	0,0,	0,0,	234,68,	
234,69,	234,70,	0,0,	0,0,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	0,0,	0,0,	
0,0,	234,62,	240,240,	0,0,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	240,240,	240,240,	
240,240,	240,240,	241,252,	234,62,	
0,0,	0,0,	0,0,	0,0,	
0,0,	241,252,	241,106,	241,106,	
0,0,	0,0,	241,106,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	241,253,	0,0,	241,0,	
241,252,	0,0,	241,252,	241,253,	
0,0,	241,252,	241,108,	241,253,	
241,252,	241,253,	0,0,	241,253,	
0,0,	241,253,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	241,252,	
0,0,	241,252,	241,253,	241,252,	
0,0,	0,0,	241,253,	0,0,	
0,0,	0,0,	0,0,	0,0,	
241,253,	0,0,	0,0,	0,0,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
241,253,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	0,0,	
0,0,	0,0,	0,0,	243,243,	
241,252,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	243,243,	
243,243,	243,243,	243,243,	246,256,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	246,256,	246,0,	
246,0,	0,0,	0,0,	246,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	246,0,	0,0,	
246,0,	246,256,	249,249,	246,256,	
246,256,	0,0,	246,256,	246,256,	
246,256,	246,256,	246,256,	0,0,	
246,256,	0,0,	246,256,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
246,256,	249,249,	246,256,	246,256,	
246,0,	0,0,	0,0,	246,256,	
0,0,	0,0,	0,0,	249,258,	
0,0,	246,256,	0,0,	0,0,	
0,0,	249,105,	249,105,	249,105,	
249,105,	249,105,	249,105,	249,105,	
249,105,	249,105,	249,105,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	246,256,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
0,0,	0,0,	0,0,	0,0,	
249,259,	246,256,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
249,259,	249,259,	249,259,	249,259,	
252,0,	252,0,	0,0,	0,0,	
252,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	252,252,	
0,0,	252,0,	0,0,	0,0,	
0,0,	252,252,	0,0,	0,0,	
252,0,	252,252,	0,0,	252,252,	
0,0,	252,252,	0,0,	252,252,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
252,252,	0,0,	0,0,	0,0,	
252,252,	0,0,	0,0,	0,0,	
0,0,	0,0,	252,252,	0,0,	
0,0,	0,0,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	252,252,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	0,0,	0,0,	0,0,	
0,0,	259,263,	0,0,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	259,263,	259,263,	259,263,	
259,263,	260,260,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
260,260,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	260,264,	0,0,	
0,0,	0,0,	0,0,	0,0,	
260,105,	260,105,	260,105,	260,105,	
260,105,	260,105,	260,105,	260,105,	
260,105,	260,105,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	0,0,	
0,0,	0,0,	0,0,	260,265,	
0,0,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	260,265,	
260,265,	260,265,	260,265,	261,261,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	261,261,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	261,105,	261,105,	
261,105,	261,105,	261,105,	261,105,	
261,105,	261,105,	261,105,	261,105,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	0,0,	0,0,	0,0,	
0,0,	261,266,	0,0,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	261,266,	261,266,	261,266,	
261,266,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
0,0,	0,0,	0,0,	0,0,	
265,267,	0,0,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
265,267,	265,267,	265,267,	265,267,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	0,0,	
0,0,	0,0,	0,0,	266,268,	
0,0,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	266,268,	
266,268,	266,268,	266,268,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-42,	yysvec+1,	0,	
yycrank+-39,	yysvec+1,	0,	
yycrank+-137,	yysvec+1,	0,	
yycrank+-134,	yysvec+1,	0,	
yycrank+-231,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+5,
yycrank+294,	0,		yyvstop+8,
yycrank+4,	0,		yyvstop+10,
yycrank+0,	0,		yyvstop+12,
yycrank+0,	0,		yyvstop+15,
yycrank+0,	0,		yyvstop+18,
yycrank+408,	0,		yyvstop+21,
yycrank+9,	0,		yyvstop+23,
yycrank+0,	0,		yyvstop+25,
yycrank+8,	0,		yyvstop+28,
yycrank+231,	0,		yyvstop+30,
yycrank+485,	0,		yyvstop+32,
yycrank+0,	0,		yyvstop+35,
yycrank+0,	0,		yyvstop+38,
yycrank+0,	0,		yyvstop+41,
yycrank+566,	0,		yyvstop+44,
yycrank+0,	0,		yyvstop+52,
yycrank+2,	0,		yyvstop+55,
yycrank+0,	0,		yyvstop+57,
yycrank+1,	yysvec+24,	yyvstop+60,
yycrank+1,	yysvec+24,	yyvstop+68,
yycrank+4,	yysvec+24,	yyvstop+76,
yycrank+2,	yysvec+24,	yyvstop+84,
yycrank+0,	0,		yyvstop+92,
yycrank+0,	0,		yyvstop+95,
yycrank+22,	0,		yyvstop+98,
yycrank+18,	yysvec+11,	yyvstop+101,
yycrank+3,	yysvec+24,	yyvstop+103,
yycrank+2,	yysvec+24,	yyvstop+111,
yycrank+1,	yysvec+24,	yyvstop+119,
yycrank+1,	yysvec+24,	yyvstop+127,
yycrank+1,	yysvec+24,	yyvstop+135,
yycrank+3,	yysvec+24,	yyvstop+143,
yycrank+4,	yysvec+24,	yyvstop+151,
yycrank+682,	yysvec+24,	yyvstop+159,
yycrank+796,	yysvec+24,	yyvstop+168,
yycrank+910,	yysvec+24,	yyvstop+177,
yycrank+1024,	yysvec+24,	yyvstop+186,
yycrank+1138,	yysvec+24,	yyvstop+195,
yycrank+2,	yysvec+10,	0,	
yycrank+56,	0,		yyvstop+204,
yycrank+1213,	0,		yyvstop+206,
yycrank+2,	yysvec+50,	yyvstop+208,
yycrank+13,	yysvec+50,	yyvstop+210,
yycrank+5,	yysvec+50,	yyvstop+212,
yycrank+0,	0,		yyvstop+214,
yycrank+0,	0,		yyvstop+216,
yycrank+0,	yysvec+15,	0,	
yycrank+-1335,	0,		yyvstop+218,
yycrank+1362,	0,		0,	
yycrank+0,	yysvec+20,	yyvstop+220,
yycrank+1437,	yysvec+24,	0,	
yycrank+1551,	yysvec+24,	0,	
yycrank+3,	0,		0,	
yycrank+1665,	0,		yyvstop+222,
yycrank+1779,	0,		0,	
yycrank+14,	0,		0,	
yycrank+92,	0,		0,	
yycrank+0,	yysvec+24,	yyvstop+224,
yycrank+7,	0,		0,	
yycrank+-1901,	0,		0,	
yycrank+7,	0,		0,	
yycrank+0,	0,		yyvstop+231,
yycrank+2,	yysvec+24,	yyvstop+233,
yycrank+11,	yysvec+24,	yyvstop+240,
yycrank+16,	yysvec+24,	yyvstop+247,
yycrank+5,	yysvec+24,	yyvstop+254,
yycrank+0,	yysvec+34,	yyvstop+261,
yycrank+0,	0,		yyvstop+263,
yycrank+1,	yysvec+24,	yyvstop+265,
yycrank+13,	yysvec+24,	yyvstop+272,
yycrank+3,	yysvec+24,	yyvstop+279,
yycrank+8,	yysvec+24,	yyvstop+286,
yycrank+18,	yysvec+24,	yyvstop+293,
yycrank+8,	yysvec+24,	yyvstop+300,
yycrank+3,	yysvec+24,	yyvstop+307,
yycrank+34,	yysvec+24,	yyvstop+314,
yycrank+48,	yysvec+24,	yyvstop+321,
yycrank+1941,	yysvec+64,	0,	
yycrank+1967,	yysvec+64,	0,	
yycrank+2028,	0,		yyvstop+328,
yycrank+2142,	yysvec+24,	yyvstop+330,
yycrank+2256,	yysvec+24,	yyvstop+338,
yycrank+2370,	yysvec+24,	yyvstop+346,
yycrank+2484,	yysvec+24,	yyvstop+354,
yycrank+2598,	yysvec+24,	yyvstop+362,
yycrank+0,	yysvec+49,	0,	
yycrank+38,	0,		0,	
yycrank+47,	yysvec+50,	yyvstop+370,
yycrank+45,	yysvec+50,	yyvstop+372,
yycrank+51,	yysvec+50,	yyvstop+374,
yycrank+52,	yysvec+50,	yyvstop+376,
yycrank+56,	yysvec+50,	yyvstop+379,
yycrank+-2720,	0,		0,	
yycrank+-2786,	yysvec+102,	0,	
yycrank+2785,	0,		yyvstop+381,
yycrank+0,	0,		yyvstop+383,
yycrank+0,	yysvec+63,	0,	
yycrank+0,	0,		yyvstop+385,
yycrank+2901,	0,		0,	
yycrank+3016,	0,		0,	
yycrank+0,	0,		yyvstop+387,
yycrank+0,	yysvec+62,	0,	
yycrank+0,	yysvec+62,	0,	
yycrank+43,	yysvec+24,	yyvstop+389,
yycrank+56,	yysvec+24,	yyvstop+396,
yycrank+51,	yysvec+24,	yyvstop+403,
yycrank+59,	yysvec+24,	yyvstop+410,
yycrank+95,	yysvec+24,	yyvstop+417,
yycrank+95,	yysvec+24,	yyvstop+424,
yycrank+95,	yysvec+24,	yyvstop+431,
yycrank+93,	yysvec+24,	yyvstop+438,
yycrank+9,	yysvec+24,	yyvstop+445,
yycrank+96,	yysvec+24,	yyvstop+452,
yycrank+78,	yysvec+24,	yyvstop+459,
yycrank+16,	yysvec+24,	yyvstop+466,
yycrank+77,	yysvec+24,	yyvstop+473,
yycrank+0,	yysvec+89,	0,	
yycrank+3130,	0,		0,	
yycrank+3245,	yysvec+24,	yyvstop+480,
yycrank+3359,	yysvec+24,	yyvstop+488,
yycrank+3473,	yysvec+24,	yyvstop+496,
yycrank+3587,	yysvec+24,	yyvstop+504,
yycrank+87,	0,		0,	
yycrank+82,	yysvec+50,	yyvstop+512,
yycrank+86,	yysvec+50,	yyvstop+514,
yycrank+88,	yysvec+50,	yyvstop+516,
yycrank+85,	yysvec+50,	yyvstop+518,
yycrank+90,	yysvec+50,	yyvstop+520,
yycrank+92,	yysvec+50,	yyvstop+522,
yycrank+86,	yysvec+50,	yyvstop+525,
yycrank+0,	0,		yyvstop+527,
yycrank+-152,	yysvec+102,	yyvstop+529,
yycrank+-3709,	yysvec+102,	yyvstop+531,
yycrank+0,	0,		yyvstop+533,
yycrank+83,	yysvec+24,	yyvstop+535,
yycrank+212,	yysvec+24,	yyvstop+542,
yycrank+101,	yysvec+24,	yyvstop+550,
yycrank+91,	yysvec+24,	yyvstop+557,
yycrank+200,	yysvec+24,	yyvstop+564,
yycrank+133,	yysvec+24,	yyvstop+571,
yycrank+121,	yysvec+24,	yyvstop+578,
yycrank+123,	yysvec+24,	yyvstop+585,
yycrank+125,	yysvec+24,	yyvstop+592,
yycrank+141,	yysvec+24,	yyvstop+599,
yycrank+142,	yysvec+24,	yyvstop+606,
yycrank+102,	yysvec+24,	yyvstop+613,
yycrank+0,	yysvec+63,	yyvstop+620,
yycrank+96,	yysvec+24,	yyvstop+623,
yycrank+0,	0,		yyvstop+630,
yycrank+3769,	yysvec+127,	0,	
yycrank+3884,	yysvec+24,	yyvstop+633,
yycrank+3998,	yysvec+24,	yyvstop+641,
yycrank+4113,	yysvec+24,	yyvstop+650,
yycrank+4227,	yysvec+24,	yyvstop+658,
yycrank+106,	0,		0,	
yycrank+106,	yysvec+50,	yyvstop+666,
yycrank+0,	yysvec+50,	yyvstop+668,
yycrank+116,	yysvec+50,	yyvstop+671,
yycrank+117,	yysvec+50,	yyvstop+673,
yycrank+106,	yysvec+50,	yyvstop+675,
yycrank+215,	yysvec+24,	yyvstop+677,
yycrank+4341,	yysvec+24,	0,	
yycrank+4456,	yysvec+24,	0,	
yycrank+0,	0,		yyvstop+684,
yycrank+118,	yysvec+24,	yyvstop+686,
yycrank+4571,	yysvec+24,	0,	
yycrank+163,	yysvec+24,	yyvstop+693,
yycrank+164,	yysvec+24,	yyvstop+700,
yycrank+180,	yysvec+24,	yyvstop+707,
yycrank+162,	yysvec+24,	yyvstop+714,
yycrank+180,	yysvec+24,	yyvstop+721,
yycrank+241,	yysvec+24,	yyvstop+728,
yycrank+152,	yysvec+24,	yyvstop+735,
yycrank+155,	yysvec+24,	yyvstop+742,
yycrank+0,	0,		yyvstop+749,
yycrank+4685,	yysvec+24,	yyvstop+751,
yycrank+4799,	yysvec+24,	0,	
yycrank+4914,	yysvec+24,	0,	
yycrank+5029,	yysvec+24,	yyvstop+759,
yycrank+139,	0,		0,	
yycrank+156,	yysvec+50,	yyvstop+767,
yycrank+-5151,	0,		yyvstop+769,
yycrank+0,	yysvec+50,	yyvstop+773,
yycrank+160,	yysvec+50,	yyvstop+776,
yycrank+5178,	yysvec+24,	0,	
yycrank+5292,	0,		yyvstop+778,
yycrank+5368,	0,		yyvstop+780,
yycrank+180,	yysvec+24,	yyvstop+783,
yycrank+198,	yysvec+24,	yyvstop+790,
yycrank+182,	yysvec+24,	yyvstop+797,
yycrank+202,	yysvec+24,	yyvstop+804,
yycrank+184,	yysvec+24,	yyvstop+811,
yycrank+5482,	yysvec+24,	0,	
yycrank+18,	yysvec+24,	yyvstop+818,
yycrank+170,	yysvec+24,	yyvstop+825,
yycrank+5596,	yysvec+24,	0,	
yycrank+172,	0,		0,	
yycrank+265,	yysvec+50,	yyvstop+832,
yycrank+-227,	yysvec+191,	0,	
yycrank+296,	0,		0,	
yycrank+-286,	yysvec+191,	0,	
yycrank+0,	yysvec+191,	yyvstop+834,
yycrank+176,	yysvec+50,	yyvstop+836,
yycrank+5710,	0,		yyvstop+838,
yycrank+301,	0,		0,	
yycrank+0,	yysvec+195,	0,	
yycrank+0,	yysvec+196,	yyvstop+840,
yycrank+280,	yysvec+24,	yyvstop+842,
yycrank+222,	yysvec+24,	yyvstop+849,
yycrank+224,	yysvec+24,	yyvstop+856,
yycrank+210,	yysvec+24,	yyvstop+863,
yycrank+217,	yysvec+24,	yyvstop+870,
yycrank+0,	yysvec+64,	yyvstop+877,
yycrank+5786,	0,		yyvstop+879,
yycrank+5844,	yysvec+63,	yyvstop+882,
yycrank+260,	yysvec+24,	yyvstop+884,
yycrank+200,	0,		0,	
yycrank+5958,	0,		0,	
yycrank+313,	0,		0,	
yycrank+-1350,	yysvec+191,	0,	
yycrank+410,	yysvec+50,	yyvstop+891,
yycrank+6033,	yysvec+213,	0,	
yycrank+0,	yysvec+213,	0,	
yycrank+0,	0,		yyvstop+893,
yycrank+6147,	yysvec+64,	0,	
yycrank+236,	yysvec+24,	yyvstop+895,
yycrank+304,	yysvec+24,	yyvstop+902,
yycrank+238,	yysvec+24,	yyvstop+909,
yycrank+239,	yysvec+24,	yyvstop+916,
yycrank+0,	yysvec+223,	yyvstop+923,
yycrank+6147,	yysvec+63,	yyvstop+925,
yycrank+-6269,	0,		yyvstop+927,
yycrank+411,	0,		0,	
yycrank+6296,	0,		yyvstop+929,
yycrank+213,	0,		0,	
yycrank+-398,	yysvec+191,	0,	
yycrank+-6418,	0,		0,	
yycrank+0,	0,		yyvstop+931,
yycrank+231,	yysvec+24,	yyvstop+933,
yycrank+6445,	yysvec+24,	0,	
yycrank+308,	yysvec+24,	yyvstop+940,
yycrank+310,	yysvec+24,	yyvstop+947,
yycrank+-6559,	yysvec+241,	yyvstop+954,
yycrank+-286,	yysvec+241,	yyvstop+956,
yycrank+0,	0,		yyvstop+958,
yycrank+-279,	yysvec+191,	yyvstop+960,
yycrank+-534,	yysvec+246,	yyvstop+962,
yycrank+255,	yysvec+24,	yyvstop+964,
yycrank+0,	yysvec+64,	yyvstop+971,
yycrank+6586,	0,		yyvstop+973,
yycrank+6700,	yysvec+24,	0,	
yycrank+6814,	yysvec+24,	0,	
yycrank+269,	yysvec+24,	yyvstop+976,
yycrank+0,	yysvec+259,	yyvstop+983,
yycrank+0,	yysvec+64,	yyvstop+985,
yycrank+6889,	0,		yyvstop+987,
yycrank+6964,	0,		yyvstop+990,
yycrank+0,	yysvec+265,	yyvstop+993,
yycrank+0,	yysvec+266,	yyvstop+995,
0,	0,	0};
struct yywork *yytop = yycrank+7086;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  8,   9,  10,   1,   8,  13,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
 32,   1,  34,  35,   1,  37,  38,   1, 
 40,  41,  42,  43,  44,  43,  46,  37, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,  58,   1,  60,  61,  62,   1, 
  1,  65,  65,  65,  65,  65,  65,  71, 
 71,  71,  71,  71,  65,  71,  71,  71, 
 71,  71,  71,  71,  71,  65,  71,  71, 
 65,  71,  71,  91,   1,  91,  37,  71, 
  1,  65,  65,  65,  65,  65,  65,  71, 
 71,  71,  71,  71,  65,  71,  71,  71, 
 71,  71,  71,  71,  71,  65,  71,  71, 
 65,  71,  71, 123,  37,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,
0,0,0,0,1,1,1,1,
0,1,1,1,1,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/


int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
#endif
