/*
 *   Copyright (C) 1988-2006 Lucent Technologies Inc. and others.
 *   All Rights Reserved.
 */

#if defined(__BORLANDC__) || defined(FOR_WIN32)
/*
 *	VPATH assumptions:
 *		VPATH is the environment variable containing the view path 
 *		where each path name is followed by ';', '\n', or '\0'.
 *		Embedded blanks are considered part of the path.
 *
 *		NOTE:  paths are separated by a semi-colon, not a colon!
 */
#define VPATHSEP ';'
#else
/*
 *	VPATH assumptions:
 *		VPATH is the environment variable containing the view path 
 *		where each path name is followed by ':', '\n', or '\0'.
 *		Embedded blanks are considered part of the path.
 */
#define VPATHSEP ':'
#endif

#define MAXPATH	200		/* max length for entire name */

#if !NOMALLOC
extern	char	**vpdirs;	/* directories (including current) in view path */
#else
#define	MAXDIR	25		/* same as libVP */
#define	DIRLEN	80		/* same as libVP */
extern	char	vpdirs[MAXDIR][DIRLEN + 1];
#endif
extern	int	vpndirs;	/* number of directories in view path */

char	*compath();
void	vpinit();
